ApiRemoteDataContext (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiRemoteDataContext

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiRemoteDataContext

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiRemoteDataContext
      extends Object

  This object contains enough information for a Workload cluster to connect to an SDX cluster. This object contains no secrets.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiRemoteDataContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiRemoteDataContext` | `addConfigsItem(ApiMapEntry configsItem)`
    `ApiRemoteDataContext` | `addEndPointsItem(ApiEndPoint endPointsItem)`
    `ApiRemoteDataContext` | `clusterVersion(String clusterVersion)`
    `ApiRemoteDataContext` | `configs(List<ApiMapEntry> configs)`
    `ApiRemoteDataContext` | `endPointId(String endPointId)`
    `ApiRemoteDataContext` | `endPoints(List<ApiEndPoint> endPoints)`
    `boolean` | `equals(Object o)`
    `String` | `getClusterVersion()` Cluster version
    `List<ApiMapEntry>` | `getConfigs()` SDX cluster specifc options.
    `String` | `getEndPointId()` A string to uniquely identify the SDX cluster.
    `List<ApiEndPoint>` | `getEndPoints()` List of endPoints exported by this SDX cluster.
    `int` | `hashCode()`
    `void` | `setClusterVersion(String clusterVersion)`
    `void` | `setConfigs(List<ApiMapEntry> configs)`
    `void` | `setEndPointId(String endPointId)`
    `void` | `setEndPoints(List<ApiEndPoint> endPoints)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiRemoteDataContext

          public ApiRemoteDataContext()

  - ### Method Detail

    - #### endPointId

          public ApiRemoteDataContext endPointId(String endPointId)

    - #### getEndPointId

          public String getEndPointId()

      A string to uniquely identify the SDX cluster.
      Returns:
        endPointId

    - #### setEndPointId

          public void setEndPointId(String endPointId)

    - #### endPoints

          public ApiRemoteDataContext endPoints(List<ApiEndPoint> endPoints)

    - #### addEndPointsItem

          public ApiRemoteDataContext addEndPointsItem(ApiEndPoint endPointsItem)

    - #### getEndPoints

          public List<ApiEndPoint> getEndPoints()

      List of endPoints exported by this SDX cluster.
      Returns:
        endPoints

    - #### setEndPoints

          public void setEndPoints(List<ApiEndPoint> endPoints)

    - #### configs

          public ApiRemoteDataContext configs(List<ApiMapEntry> configs)

    - #### addConfigsItem

          public ApiRemoteDataContext addConfigsItem(ApiMapEntry configsItem)

    - #### getConfigs

          public List<ApiMapEntry> getConfigs()

      SDX cluster specifc options.
      Returns:
        configs

    - #### setConfigs

          public void setConfigs(List<ApiMapEntry> configs)

    - #### clusterVersion

          public ApiRemoteDataContext clusterVersion(String clusterVersion)

    - #### getClusterVersion

          public String getClusterVersion()

      Cluster version
      Returns:
        clusterVersion

    - #### setClusterVersion

          public void setClusterVersion(String clusterVersion)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.